/*(c) 1999 P. Tuffery
 *    TreeUtils.c
 *    Tree managment utilities
 */

#ifndef __TreeUtils_h__ 
#define __TreeUtils_h__ 
#include "CSFuncs.h"


extern int WichAminoAcidAAClass(char c);
extern int WichAAClass(int aa);
extern void initTreeCount(TTree *tree);
extern int GetBranchLength(TNode *anc, TNode *des, int whichSeq, 
			   int *siteMode);
extern void SetLengthsAsTrueLengths(TTree *tree, TNode *node, int whichSeq, 
				    int mode);
extern double getTreeLength(TTree *tree, int whichSeq);
extern void storeTreeLengths(TTree *tree, int whichSeq);

#endif


